org.bouncycastle.asn1.cmp

## Class POPODecKeyChallContent

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.POPODecKeyChallContent

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class POPODecKeyChallContent
      extends ASN1Object

  POPODecKeyChallContent ::= SEQUENCE OF Challenge -- One Challenge per encryption key certification request (in the -- same order as these requests appear in CertReqMessages).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `POPODecKeyChallContent(Challenge... challenges)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static POPODecKeyChallContent` | `getInstance(java.lang.Object o)`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `Challenge[]` | `toChallengeArray()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### POPODecKeyChallContent

          public POPODecKeyChallContent(Challenge... challenges)

  - ### Method Detail

    - #### getInstance

          public static POPODecKeyChallContent getInstance(java.lang.Object o)

    - #### toChallengeArray

          public Challenge[] toChallengeArray()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.